import { Construct as CoreConstruct } from '@aws-cdk/core';
import { Construct } from 'constructs';
import { AlarmActions, Domain } from './api';
/**
 * (experimental) Props for `ConstructHub`.
 *
 * @experimental
 */
export interface ConstructHubProps {
    /**
     * (experimental) Connect the hub to a domain (requires a hosted zone and a certificate).
     *
     * @experimental
     */
    readonly domain?: Domain;
    /**
     * (experimental) The name of the CloudWatch Dashboard created to observe this application.
     *
     * @default - the path to this construct is used as the dashboard name.
     * @experimental
     */
    readonly dashboardName?: string;
    /**
     * (experimental) Actions to perform when alarms are set.
     *
     * @experimental
     */
    readonly alarmActions: AlarmActions;
}
/**
 * (experimental) Construct Hub.
 *
 * @experimental
 */
export declare class ConstructHub extends CoreConstruct {
    /**
     * @experimental
     */
    constructor(scope: Construct, id: string, props: ConstructHubProps);
}
